[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: What to do with package that wants to use sse?



On Sat, Oct 31, 2009 at 09:25:30 +0100,
  Nicolas Chauvet <kwizart gmail com> wrote:
> -msse is fine for x86_64 and ia64  by default (but not for non-intel arches).
> The only way to have sse enabled on ix86 is for a library to be built
> twice, the provides the sse version in %{_libdir}/sse2. The linker
> will then enable the appropriate library at runtime.
> (note that only sse2 wrap exists - not sse{,3,4},atom,i7 )
> That's not possible when the optimized code is within a binary.

That is very useful information. It sounds like I will want to do this for
this package, since enabling sse2 will turn on the sse instructions and sse2
might turn out to be useful for this code as well.

> Now I would really like to promote a comprehensive understanding of that policy.

It would be nice to have an example of how do the build for something like this
in one spec file.

If there is some documentation it should be included in or pointed to by
the base packaging page on the wiki so that people can easily run accross it.

> I also have another case for a package which is an image renderer for blender.
> Using such app on computer that doesn't have sse is really a miss
> understanding of what your computer is better used at.

The package I am working on is doing image rendering as an add on to ogre.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]